org.deidentifier.arx.algorithm

## Class AbstractAlgorithm

- java.lang.Object
- - org.deidentifier.arx.algorithm.AbstractAlgorithm

Direct Known Subclasses:
  DataDependentEDDPAlgorithm, FLASHAlgorithmImpl, LIGHTNINGAlgorithm

    public abstract class AbstractAlgorithm
    extends java.lang.Object

Abstract class for an algorithm, which provides some generic methods.

Author:
  Fabian Prasser, Florian Kohlmayer

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Transformation<?>` `getGlobalOptimum()` Returns the global optimum.
`void` `setListener(ARXListener listener)` Sets a listener
`abstract boolean` `traverse()` Implement this method in order to provide a new algorithm.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getGlobalOptimum

    public Transformation<?> getGlobalOptimum()

Returns the global optimum.

Returns:

#### setListener

    public void setListener(ARXListener listener)

Sets a listener

Parameters:
  `listener` -

#### traverse

    public abstract boolean traverse()

Implement this method in order to provide a new algorithm.

Returns:
  Whether the result is optimal